MarketModelFactory Class Referenceabstract

base class for market-model factories More...

`#include <ql/models/marketmodels/marketmodel.hpp>`

Inheritance diagram for MarketModelFactory:
[legend]

## Public Member Functions

virtual ext::shared_ptr< MarketModel > | create (const EvolutionDescription &, Size numberOfFactors) const =0
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Detailed Description

base class for market-model factories